Loading...
Searching...
No Matches
ZyanArgParseConfig_ Struct Reference

`#include <ArgParse.h>`

Collaboration diagram for ZyanArgParseConfig_:
[legend]

## Public Attributes

const char ** | argv
ZyanUSize | argc
ZyanUSize | min_unnamed_args
ZyanUSize | max_unnamed_args
ZyanArgParseDefinition * | args

## Detailed Description

Configuration for argument parsing.

## Member Data Documentation

## argc

ZyanUSize ZyanArgParseConfig_::argc

argc argument passed to main by LibC.

## args

ZyanArgParseDefinition* ZyanArgParseConfig_::args

Argument definition array, or ZYAN_NULL.

Expects a pointer to an array of ZyanArgParseDefinition instances. The array is terminated by setting the .name field of the last element to ZYAN_NULL. If no named arguments should be parsed, you can also set this to ZYAN_NULL.

## argv

const char** ZyanArgParseConfig_::argv

argv argument passed to main by LibC.

## max_unnamed_args

ZyanUSize ZyanArgParseConfig_::max_unnamed_args

Maximum # of accepted unnamed / anonymous arguments.

## min_unnamed_args

ZyanUSize ZyanArgParseConfig_::min_unnamed_args

Minimum # of accepted unnamed / anonymous arguments.

The documentation for this struct was generated from the following file:

- include/Zycore/ArgParse.h